#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# (c) Rene Hadler iteas IT Services GmbH
# support@iteas.at
# www.iteas.at
#

import os
import json
import subprocess

# Load installable certs from firefox policies file
certs = (json.loads(open("/usr/lib/firefox/distribution/policies.json").read())["policies"]["Certificates"]["Install"])

homes = os.listdir("/home")
for home in homes:
    # Only import certs for user if nssdb exists
    if os.path.isdir("/home/%s/.pki/nssdb" % home):
        for cert in certs:
            file = os.path.basename(cert)
            cmd = "certutil -d \"sql:%s/.pki/nssdb\" -A -t \"CT,c,c\" -n \"iteasca-%s\" -i \"%s\"" % ("/home/" + home, file, cert)
            p = subprocess.run(cmd, shell=True)